﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGDragFromTreeViewCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            CellValuePresenter cvp = e.DropTarget as CellValuePresenter;
            TextBlock text = e.OriginalDragSource as TextBlock;

            if (cvp != null && text != null)
            {
                DataRecord record = cvp.Record as DataRecord;
                if(record != null)
                {
                    SampleData sd = record.DataItem as SampleData;
                    sd.Name = text.Text;                                        
                }
            }
        }             
    }
}
